Subject: Re: bug#21280: test failures: nar, syscalls, containers

From: Leo Famulari <[email-masked]>
Date: Tue, 25 Aug 2015 13:38:09 -0400

Success!

# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0

I've attached the logs again, just in case.

Thanks for looking into this!

On Mon, Aug 24, 2015, at 18:07, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > On Thu, Aug 20, 2015, at 06:02, Ludovic Courtès wrote:
> 
> [...]
> 
> >> I suspect the ‘nlink’ count on directories work differently on btrfs, or
> >> something like that.
> 
> [...]
> 
> > %%%% Starting test nar  (Writing full log to "nar.log")
> >
> > ;;; (stat-output "./test-nar-7151" 1)
> > tests/nar.scm:203: FAIL write-file + restore-file
> >
> > ;;; (stat-output "./test-nar-7151" 1)
> > tests/nar.scm:220: FAIL write-file + restore-file with symlinks
> 
> Indeed, that confirms what I thought.
> 
> This looks like buggy or at least borderline behavior from Btrfs.
> However, it seems that this ‘nlink’ test can be sidestepped altogether.
> 
> Could you apply this last patch and run:
> 
>   make check TESTS=tests/nar.scm
> 
> again?
> 
> If it works for you, I’ll just apply it.
> 
> Thanks!
> 
> Ludo’.
> 
> Email had 1 attachment:
> + Attachment2
>   1k (text/x-patch)